namespace ChillConnect
{
    public static class App
    {
        private static SApplication _sCurrSApplication;

        public static void InitApplication(SApplication sApplication)
        {
            _sCurrSApplication = sApplication;
            _sCurrSApplication.Init();
            _sCurrSApplication.Enable();
        }

        private static float LoadingProgressDelayTime = 0f;

        public static void DisplayLoadingUI()
        {
            AppDispatcher.Instance.Dispatch(AppMsg.UI_DisplayLoadingUI);
        }

        public static void HideLoadingUI(bool isDelay = false)
        {
            if (!isDelay)
            {
                AppDispatcher.Instance.Dispatch(AppMsg.UI_HideLoadingUI);
                return;
            }

            TimerHelper.mEasy.AddTimer(0.3f, () => { AppDispatcher.Instance.Dispatch(AppMsg.UI_HideLoadingUI); });
        }
    }
}
